Bug 97983 - User mail should be handled in a case-insensitive maner.
User mail should be handled in a case-insensitive maner.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 18:31 EDT by Nicolas Mailhot
Modified: 2013-06-23 23:09 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 16:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2003-06-24 18:31:06 EDT
I created the bugzilla user Nicolas.Mailhot@laPoste.net some time ago and used
it to open a few bugs.

Now at during a period bugzilla translated Nicolas.Mailhot@laPoste.net to 
nicolas.mailhot@laposte.net when opening a bug. So there is now quite a few bugs
 opened by "nicolas.mailhot@laposte.net" in the system.

When I modify these bugs bugzilla considers I am *not* their rightful owner (ie
I can add comments but not change severity/component/close them).

They are not returned by my stored query 

https://bugzilla.redhat.com/bugzilla/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&email1=Nicolas.Mailhot%40laPoste.net&emailtype1=exact&emailassigned_to1=1&emailreporter1=1

This is a major PITA. Mails should really not be case-sensitive for bugzilla -
they are not in real life.
Comment 1 David Lawrence 2006-04-08 14:06:54 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2007-11-02 16:09:23 EDT
Red Hats bugzilla now treats all usernames as lowercase. So it is not possible
to have two accounts with mixed case any longer.

Note You need to log in before you can comment on or make changes to this bug.